from tools.pokemontools.pokemon_constants import pokemon_constants

for pokemon in list(pokemon_constants.values())[0:151]:
    text = ""
    f = open('data/pokemon/base_stats/{}.asm'.format(pokemon.lower().replace('_', '')), 'r+')
    for line in f.readlines():
        if line == "\tdb 0 ; padding\n" or line.startswith("db BANK("):
            p = pokemon.capitalize()
            if p == "Nidoran_f": p = "NidoranF"
            if p == "Nidoran_m": p = "NidoranM"
            if p == "Farfetch_d": p = "Farfetchd"
            if p == "Mr__mime": p = "MrMime"
            text += "\t;db 0 ; padding\n\tdb BANK({}PicFront)\n".format(p)
        else:
            text += line
    f.seek(0)
    f.write(text)
    f.close()
